pcl::traits Namespace Reference

## Classes

struct | asEnum
struct | asEnum< double >
struct | asEnum< float >
struct | asEnum< int16_t >
struct | asEnum< int32_t >
struct | asEnum< int8_t >
struct | asEnum< uint16_t >
struct | asEnum< uint32_t >
struct | asEnum< uint8_t >
struct | asType
struct | asType< pcl::PCLPointField::FLOAT32 >
struct | asType< pcl::PCLPointField::FLOAT64 >
struct | asType< pcl::PCLPointField::INT16 >
struct | asType< pcl::PCLPointField::INT32 >
struct | asType< pcl::PCLPointField::INT8 >
struct | asType< pcl::PCLPointField::UINT16 >
struct | asType< pcl::PCLPointField::UINT32 >
struct | asType< pcl::PCLPointField::UINT8 >
struct | datatype
struct | decomposeArray
struct | fieldList
struct | name
struct | offset
struct | POD

## Functions

| BOOST_MPL_ASSERT_MSG ((!bool(boost::mpl::bool_< false >::value)), WTF_GCC443,(bool))
template<typename T >
boost::disable_if_c< boost::is_array< T >::value >::type | plus (T &l, const T &r)
template<typename T >
boost::enable_if_c< boost::is_array< T >::value >::type | plus (typename boost::remove_const< T >::type &l, const T &r)
template<typename T1 , typename T2 >
boost::disable_if_c< boost::is_array< T1 >::value >::type | plusscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
boost::enable_if_c< boost::is_array< T1 >::value >::type | plusscalar (T1 &p, const T2 &scalar)
template<typename T >
boost::disable_if_c< boost::is_array< T >::value >::type | minus (T &l, const T &r)
template<typename T >
boost::enable_if_c< boost::is_array< T >::value >::type | minus (typename boost::remove_const< T >::type &l, const T &r)
template<typename T1 , typename T2 >
boost::disable_if_c< boost::is_array< T1 >::value >::type | minusscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
boost::enable_if_c< boost::is_array< T1 >::value >::type | minusscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
boost::disable_if_c< boost::is_array< T1 >::value >::type | mulscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
boost::enable_if_c< boost::is_array< T1 >::value >::type | mulscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
boost::disable_if_c< boost::is_array< T1 >::value >::type | divscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
boost::enable_if_c< boost::is_array< T1 >::value >::type | divscalar (T1 &p, const T2 &scalar)

## Function Documentation

## BOOST_MPL_ASSERT_MSG()

pcl::traits::BOOST_MPL_ASSERT_MSG | ( | (!bool(boost::mpl::bool_< false >::value)) | ,
|  | WTF_GCC443 | ,
|  | (bool) |
| ) |  |

## divscalar() [1/2]

template<typename T1 , typename T2 >

boost::disable_if_c<boost::is_array<T1>::value>::type pcl::traits::divscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 184 of file register_point_struct.h.

## divscalar() [2/2]

template<typename T1 , typename T2 >

boost::enable_if_c<boost::is_array<T1>::value>::type pcl::traits::divscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 191 of file register_point_struct.h.

## minus() [1/2]

template<typename T >

boost::disable_if_c<boost::is_array<T>::value>::type pcl::traits::minus | ( | T & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 133 of file register_point_struct.h.

## minus() [2/2]

template<typename T >

boost::enable_if_c<boost::is_array<T>::value>::type pcl::traits::minus | ( | typename boost::remove_const< T >::type & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 140 of file register_point_struct.h.

## minusscalar() [1/2]

template<typename T1 , typename T2 >

boost::disable_if_c<boost::is_array<T1>::value>::type pcl::traits::minusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 150 of file register_point_struct.h.

## minusscalar() [2/2]

template<typename T1 , typename T2 >

boost::enable_if_c<boost::is_array<T1>::value>::type pcl::traits::minusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 157 of file register_point_struct.h.

## mulscalar() [1/2]

template<typename T1 , typename T2 >

boost::disable_if_c<boost::is_array<T1>::value>::type pcl::traits::mulscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 167 of file register_point_struct.h.

## mulscalar() [2/2]

template<typename T1 , typename T2 >

boost::enable_if_c<boost::is_array<T1>::value>::type pcl::traits::mulscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 174 of file register_point_struct.h.

## plus() [1/2]

template<typename T >

boost::disable_if_c<boost::is_array<T>::value>::type pcl::traits::plus | ( | T & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 99 of file register_point_struct.h.

## plus() [2/2]

template<typename T >

boost::enable_if_c<boost::is_array<T>::value>::type pcl::traits::plus | ( | typename boost::remove_const< T >::type & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 106 of file register_point_struct.h.

## plusscalar() [1/2]

template<typename T1 , typename T2 >

boost::disable_if_c<boost::is_array<T1>::value>::type pcl::traits::plusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 116 of file register_point_struct.h.

## plusscalar() [2/2]

template<typename T1 , typename T2 >

boost::enable_if_c<boost::is_array<T1>::value>::type pcl::traits::plusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 123 of file register_point_struct.h.